跳转到主要内容
PATCH
/
user
/
avatar
cURL
curl --request PATCH \
  --url https://app.teable.ai/api/user/avatar \
  --header 'Authorization: Bearer REPLACE_BEARER_TOKEN' \
  --header 'content-type: multipart/form-data' \
  --form file=string
const url = 'https://app.teable.ai/api/user/avatar';
const form = new FormData();
form.append('file', 'string');

const options = {method: 'PATCH', headers: {Authorization: 'Bearer REPLACE_BEARER_TOKEN'}};

options.body = form;

try {
const response = await fetch(url, options);
const data = await response.json();
console.log(data);
} catch (error) {
console.error(error);
}
const http = require('https');

const options = {
method: 'PATCH',
hostname: 'app.teable.ai',
port: null,
path: '/api/user/avatar',
headers: {
Authorization: 'Bearer REPLACE_BEARER_TOKEN'
}
};

const req = http.request(options, function (res) {
const chunks = [];

res.on('data', function (chunk) {
chunks.push(chunk);
});

res.on('end', function () {
const body = Buffer.concat(chunks);
console.log(body.toString());
});
});

req.write('-----011000010111000001101001\r\nContent-Disposition: form-data; name="file"\r\n\r\nstring\r\n-----011000010111000001101001--\r\n');
req.end();
import http.client

conn = http.client.HTTPSConnection("app.teable.ai")

payload = "-----011000010111000001101001\r\nContent-Disposition: form-data; name=\"file\"\r\n\r\nstring\r\n-----011000010111000001101001--\r\n"

headers = { 'Authorization': "Bearer REPLACE_BEARER_TOKEN" }

conn.request("PATCH", "/api/user/avatar", payload, headers)

res = conn.getresponse()
data = res.read()

print(data.decode("utf-8"))



授权

Authorization
string
header
必填

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

请求体

multipart/form-data
file
file
必填

响应

200

Successfully update.

最后修改于 2026年3月5日